Skip to content

# Interface: CatalogEntityActionContext

Common.Catalog.CatalogEntityActionContext

## Table of contents

### Properties

- navigate
- setCommandPaletteContext

## Properties

### navigate

• navigate: (`url`: `string`) => `void`

#### Type declaration

▸ (`url`): `void`

##### Parameters

Name | Type
--- | ---
`url` | `string`

##### Returns

`void`

### setCommandPaletteContext

• setCommandPaletteContext: (`context?`: CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>) => `void`

#### Type declaration

▸ (`context?`): `void`

##### Parameters

Name | Type
--- | ---
`context?` | CatalogEntity<CatalogEntityMetadata, CatalogEntityStatus, CatalogEntitySpec>

##### Returns

`void`